DEBSPAWN-CREATE(1)

NAME
debspawn-create - Create new container images

SYNOPSIS

debspawn create [-h|--help] [--variant] [-a|--arch] [--suite] [--mirror] [--components] [--base-suite] [--extra-suites] [--extra-sourceslist-lines] [--allow-recommends] [--extra-packages] [--with-init] {NAME}

DESCRIPTION

Create a new base image for a suite known to debootstrap(1) or mmdebstrap(1). The image will later be used to spawn ephemeral containers in which packages can be built. If mmdebstrap is installed on the system it will be preferred over debootstrap unless a specific bootstrap tool is set in the global configuration.

EXAMPLES

You can easily create images for any suite that has a script in debootstrap. For example, to create a Debian Unstable image for your current machine architecture, you can use:

$ debspawn create unstable

A more advanced example, for building on Ubuntu 18.10 on the x86 architecture:

$ debspawn create --arch=i386 cosmic

The suite name is inferred from the container image name given as positional parameter. If it can not be inferred, you will need to pass the --suite parameter with the primary suite name for this image. If a --base-suite is passed and no --suite is set, the image name will automatically be assumed to be for an overlay suite, which may not always be the desired result.

OPTIONS

NAME
    The name of the container image to create (usually the name of the suite).

-h|--help
    Print brief help information about available commands.

--variant
    Set the bootstrap script variant (use `none` to select no variant).

-a|--arch
    The architecture of the container.

--suite
    Explicitly set a suite name (instead of having it derived from the container name).

--mirror
    Set a specific mirror to bootstrap from.

--components
    A comma-separated list of archive components to enable in the newly created image.

--base-suite
    A full suite that forms the base of the selected partial suite (e.g. for -updates and -backports).

--extra-suites
    Space-separated list of additional suites that should also be added to the sources.list file.

--extra-sourceslist-lines
    Lines that should be added to the build environments source.list verbatim. Separate lines by linebreaks.

--allow-recommends
    Do not disable APT installing "recommends"-type dependencies by default, and instead use the default behavior for full, normal system installations with "recommends" enabled.

--extra-packages
    A comma-separated list of additional packages to install into the image during bootstrap.

--with-init
    Include an init system in this image, so it is bootable.

SEE ALSO

debspawn-build(1), debootstrap(1), systemd-nspawn(1).

AUTHOR

This manual page was written by Matthias Klumpp <mak@debian.org>.

COPYRIGHT
Copyright © 2018-2022 Matthias Klumpp